import { BaseFormWidget } from '../../../../basic';
import { EnableStatusOptionsEnum, FetchValueOptions, FetchValueReturnType } from '../../typing';
export declare class AdvancedHomepageSettingWidget extends BaseFormWidget {
    initialize(props: any): this;
    private useHomepageSetting;
    private searchModule;
    private searchEnableStatus;
    protected onSearchModuleChange(module: any): Promise<void>;
    protected onSearchEnabledStatusChange(status?: EnableStatusOptionsEnum): Promise<void>;
    handleFetchModule(options: FetchValueOptions): Promise<FetchValueReturnType>;
    handleModuleQueryOne(): Promise<Record<string, unknown>>;
    protected handleAdd(): void;
    private supportAdvancedHomepageConfig;
    protected changeSupportAdvancedHomepageConfig(support: boolean): void;
    private savedHomepageConfigRules;
    private runtimeHomepageConfigRules;
    protected goBack(): void;
    protected onSaveHomepageSettingConfig(): Promise<void>;
    protected saveHomepageSettingConfig(): Promise<void>;
    protected onSaveHomepageSettingConfigSuccess(): void;
    protected queryHomepageConfig(): Promise<void>;
    protected reloadRuntimeHomepageConfig(): Promise<void>;
    protected $reloadRuntimeHomepageConfig(): Promise<void>;
    protected beforeMount(): Promise<void>;
}
